## GtkCellRendererPixbuf GtkCellRendererPixbuf — Renders a pixbuf in a cell |

## Functions

GtkCellRenderer * | gtk_cell_renderer_pixbuf_new ()

## Properties

gboolean | follow-state | Read / Write
GIcon * | gicon | Read / Write
gchar * | icon-name | Read / Write
GdkPixbuf * | pixbuf | Read / Write
GdkPixbuf * | pixbuf-expander-closed | Read / Write
GdkPixbuf * | pixbuf-expander-open | Read / Write
gchar * | stock-detail | Read / Write
gchar * | stock-id | Read / Write
guint | stock-size | Read / Write
CairoSurface * | surface | Read / Write

## Types and Values

struct | GtkCellRendererPixbuf

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GtkCellRendererPixbuf

## Includes

    #include <gtk/gtk.h>

## Description

A GtkCellRendererPixbuf can be used to render an image in a cell. It allows to render either a given GdkPixbuf (set via the “pixbuf” property) or a named icon (set via the “icon-name” property).

To support the tree view, GtkCellRendererPixbuf also supports rendering two alternative pixbufs, when the “is-expander” property is `TRUE`. If the “is-expanded” property is `TRUE` and the “pixbuf-expander-open” property is set to a pixbuf, it renders that pixbuf, if the “is-expanded” property is `FALSE` and the “pixbuf-expander-closed” property is set to a pixbuf, it renders that one.

## Functions

### gtk_cell_renderer_pixbuf_new ()

    GtkCellRenderer *
    gtk_cell_renderer_pixbuf_new (void);

Creates a new GtkCellRendererPixbuf. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the “pixbuf” property on the cell renderer to a pixbuf value in the model, thus rendering a different image in each row of the GtkTreeView.

#### Returns

the new cell renderer

## Property Details

### The `“follow-state”` property

      “follow-state”             gboolean

Specifies whether the rendered pixbuf should be colorized according to the GtkCellRendererState.

`GtkCellRendererPixbuf:follow-state` has been deprecated since version 3.16 and should not be used in newly-written code.

Cell renderers always follow state.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Default value: TRUE

Since: 2.8

### The `“gicon”` property

      “gicon”                    GIcon *

The GIcon representing the icon to display. If the icon theme is changed, the image will be updated automatically.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Since: 2.14

### The `“icon-name”` property

      “icon-name”                gchar *

The name of the themed icon to display. This property only has an effect if not overridden by "stock_id" or "pixbuf" properties.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Default value: NULL

Since: 2.8

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

The pixbuf to render.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

### The `“pixbuf-expander-closed”` property

      “pixbuf-expander-closed”   GdkPixbuf *

Pixbuf for closed expander.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

### The `“pixbuf-expander-open”` property

      “pixbuf-expander-open”     GdkPixbuf *

Pixbuf for open expander.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

### The `“stock-detail”` property

      “stock-detail”             gchar *

Render detail to pass to the theme engine.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Default value: NULL

### The `“stock-id”` property

      “stock-id”                 gchar *

The stock ID of the stock icon to render.

`GtkCellRendererPixbuf:stock-id` has been deprecated since version 3.10 and should not be used in newly-written code.

Use “icon-name” instead.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Default value: NULL

Since: 2.2

### The `“stock-size”` property

      “stock-size”               guint

The GtkIconSize value that specifies the size of the rendered icon.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Default value: 1

Since: 2.2

### The `“surface”` property

      “surface”                  CairoSurface *

The surface to render.

Owner: GtkCellRendererPixbuf

Flags: Read / Write

Since: 3.10